Skip to main content

Delete Brand Resource

API Description

Delete a brand resource.

Constraints

The delete request fails if either of the following conditions is not met:

  • No active certificates: The brand must have no active Wallet ID certificates. Revoke all certificates before attempting to delete. Applies to owner organizations only.
  • No active manager user: The brand must have no active manager user. If this condition is not met, a BRAND__HAS_ACTIVE_MANAGER_USER error is returned.
  • Owner organization only: A delegated agency cannot delete a brand through its delegation relationship. Only the owner organization can perform this operation via the API.

Request

URI Parameters

NameInput
orgId
REQUIRED
brandId
REQUIRED
Path Template
DELETE {url}/api/{version}/orgs/{orgId}/brands/{brandId}
Path Example
DELETE {url}/api/v1/orgs/9467895078742654934/brands/9467895078742654921

Request Headers

NameInput
Authorization
REQUIRED
If-Match
REQUIRED
Example Request Headers
Authorization: Bearer <access_token>
If-Match: "ca59b316-ddcd-11ec-97ed-2bc3ad80a69c"

Request Body

None

Response

204 No Content (Success) or Error

Response Headers

Name
apple-request-id
etag
Example Response Headers
HTTP/1.1 204 No Content
apple-request-id: ce752d22-1284-4196-a448-0a9d1df04603
etag: "bb62a35e-ddd2-11ec-b577-678617b2fd4c"

Response Body

None